# GitHub Contributors Spotlight

[![npm version](https://img.shields.io/npm/v/@nyvoda/contributors-spotlight?color=blue&style=flat-square)](https://www.npmjs.com/package/@nyvoda/contributors-spotlight)
[![TypeScript](https://img.shields.io/badge/TypeScript-4.5-blue)](https://www.typescriptlang.org/)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)
[![PRs Welcome](https://img.shields.io/badge/PRs-welcome-brightgreen.svg)](https://github.com/Adeel91/contributors-spotlight/pulls)

## ✨ Overview

`@nyvoda/contributors-spotlight` is a lightweight and powerful tool that automatically generates a dynamic spotlight showcasing your GitHub contributors. It allows you to highlight the top contributors in your README or other markdown files with a single command.

Whether you're maintaining an open-source project or a private repository, this tool can help you acknowledge and appreciate the contributions of your community.

## 🚀 Features

- **Dynamic Spotlight**: Automatically generates a list of 5 top contributors.
- **Customizable**: You can customize the number of contributors and the format in which they are displayed.
- **GitHub API Integration**: Fetches real-time data from GitHub to ensure an accurate spotlight.
- **TypeScript**: Built with TypeScript for enhanced type safety and developer experience.
- **Easy to Use**: Just install, configure, and run a simple command to generate your contributor list.

## 📦 Installation

You can install the `@nyvoda/contributors-spotlight` package via npm:

```bash
npm install @nyvoda/contributors-spotlight
```

Or using Yarn

```bash
yarn add @nyvoda/contributors-spotlight
```
